Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class GuiAction

    java.lang.Object
      javax.swing.AbstractAction
          pipe.gui.GuiAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Direct Known Subclasses:
  GuiFrame.AnimateAction, GuiFrame.DeleteAction, GuiFrame.ExampleFileAction, GuiFrame.FileAction, GuiFrame.GridAction, GuiFrame.TypeAction, HelpBox

abstract class GuiAction
extends javax.swing.AbstractAction

GuiAction class

Author:
  Maxim and others Handles loading icon based on action name and setting up other stuff Toggleable actions store the toggle state in a way that allows ChangeListeners to be notified of changes

Nested Class Summary

Nested classes inherited from class javax.swing.AbstractAction
``

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`(package private)` | `GuiAction(java.lang.String name, java.lang.String tooltip, java.lang.String keystroke)`
`(package private)` | `GuiAction(java.lang.String name, java.lang.String tooltip, java.lang.String keystroke, boolean toggleable)`

Method Summary
`boolean` | `isSelected()`
`void` | `setSelected(boolean selected)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.ActionListener
`actionPerformed`

Constructor Detail

### GuiAction

    GuiAction(java.lang.String name,
              java.lang.String tooltip,
              java.lang.String keystroke)

### GuiAction

    GuiAction(java.lang.String name,
              java.lang.String tooltip,
              java.lang.String keystroke,
              boolean toggleable)

Method Detail

### isSelected

    public boolean isSelected()

### setSelected

    public void setSelected(boolean selected)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD